/********************************************************************
 * Copyright © 2004 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.esr.common.builder.entity;

// Java Classes

// Library Classes

// Framework Classes

// Common Classes
import gov.va.med.esr.common.model.financials.FinancialStatement;

// Messaging Classes

/**
 * @author Martin Francisco
 */
public interface FinancialStatementMetaData
    extends FinancialInformationMetaData
{
    public FinancialStatement getEntity();

    public void setEntity(FinancialStatement entity);

    public String getContributionToSpouse();
    
    public String getContributedToSpouseInd();

    public String getMarriedLastCalendarYear();

    public String getNumberOfDependentChildren(); 
    
    public String getMeansTestVersion();
    
    public FinancialInformationMetaData[] getSupportingInformation();
}